using System.Collections.Generic;
using YellTwitterClient.Models;
using YellTwitterClient.Models.ViewModels;
using YellTwitterClient.Services;

namespace YellTwitterClient.Models
{
    public class TwitterUser
    {
        
        public string Name { get; set; }
        public long Id { get; set; }
        //private TweetsModel _TweetsModel;

        public TweetsModel Model
        {
            get
            {
                var twitterService = new TwitterService();
                var tweets = twitterService.GetLatestByUser(Id, 10);
                var tweetsModel = new TweetsModel();
                tweetsModel.LoadTweets(tweets);
                return tweetsModel;
            }
        }

    }
}
