﻿using System.Collections.Generic;
using RestSharp;
using YellTwitterClient.Models;

namespace YellTwitterClient.Services
{
    public class TwitterService
    {
        public List<Tweet> GetLatest()
        {
            var request = new RestRequest("1/statuses/public_timeline.json", Method.GET);
            var client = new RestClient("https://api.twitter.com/");
            var response = client.Execute<List<Tweet>>(request);
            return response.Data;
        }
        public List<Tweet> GetLatestByUser(long userid, long count)
        {
            var requestString = string.Format("1/statuses/user_timeline.json?user_id={0}&count={1}", userid, count.ToString());
            var request = new RestRequest(requestString, Method.GET);
            var client = new RestClient("https://api.twitter.com/");
            var response = client.Execute<List<Tweet>>(request);
            return response.Data;
            
        }
    }
}

